Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.eventhandler
Interface IReportEventHandler

All Known Implementing Classes:
  ReportEventAdapter

    public interface IReportEventHandler

Script event handler interface for a report

Method Summary
`void` | `afterFactory(IReportContext reportContext)` Handle the afterFactory event
`void` | `afterRender(IReportContext reportContext)` Handle the afterRender event
`void` | `beforeFactory(IReportDesign report, IReportContext reportContext)` Handle the beforeFactory event
`void` | `beforeRender(IReportContext reportContext)` Handle the beforeRender event
`void` | `initialize(IReportContext reportContext)` Handle the initialize event

Method Detail

### initialize

    void initialize(IReportContext reportContext)
                    throws ScriptException

  Handle the initialize event

  Throws:
    `ScriptException`

### beforeFactory

    void beforeFactory(IReportDesign report,
                       IReportContext reportContext)
                       throws ScriptException

  Handle the beforeFactory event

  Throws:
    `ScriptException`

### afterFactory

    void afterFactory(IReportContext reportContext)
                      throws ScriptException

  Handle the afterFactory event

  Throws:
    `ScriptException`

### beforeRender

    void beforeRender(IReportContext reportContext)
                      throws ScriptException

  Handle the beforeRender event

  Throws:
    `ScriptException`

### afterRender

    void afterRender(IReportContext reportContext)
                     throws ScriptException

  Handle the afterRender event

  Throws:
    `ScriptException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.